Package com.io7m.waxmill.xml.vm.v1

# Class WXMBootConfigurationParser

java.lang.Object
com.io7m.waxmill.xml.vm.v1.WXMBootConfigurationParser

All Implemented Interfaces:
  `WXMBootConfigurationParserType`, `WXMParserType<java.util.List<WXMBootConfigurationType>>`, `java.io.Closeable`, `java.lang.AutoCloseable`

    public final class WXMBootConfigurationParser
    extends java.lang.Object
    implements WXMBootConfigurationParserType

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `WXMBootConfigurationParser​(java.nio.file.FileSystem inFileSystem, java.util.function.Consumer<WXMParseError> inErrors, java.net.URI inUri, java.io.InputStream inStream, org.xml.sax.XMLReader inReader)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `close()` |
  `java.util.Optional<java.util.List<WXMBootConfigurationType>>` | `parse()` | Attempt to parse a value.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### WXMBootConfigurationParser

    public WXMBootConfigurationParser​(java.nio.file.FileSystem inFileSystem, java.util.function.Consumer<WXMParseError> inErrors, java.net.URI inUri, java.io.InputStream inStream, org.xml.sax.XMLReader inReader)

- ## Method Details

  - ### parse

    public java.util.Optional<java.util.List<WXMBootConfigurationType>> parse()
    Description copied from interface: `WXMParserType`
    Attempt to parse a value. The method returns a non-empty value if no errors occurred and a valid value was parsed.
    Specified by:
      `parse` in interface `WXMBootConfigurationParserType`
    Specified by:
      `parse` in interface `WXMParserType<java.util.List<WXMBootConfigurationType>>`
    Returns:
      The parsed value, if any

  - ### close

    public void close() throws java.io.IOException
    Specified by:
      `close` in interface `java.lang.AutoCloseable`
    Specified by:
      `close` in interface `java.io.Closeable`
    Throws:
      `java.io.IOException`